<table class="collection-data" aria-labelledby="page-title">
  <thead>
    <tr>
      <% [:created_at, :account, :event, :entry].each do |attr_name| %>
      <th class="cell-label
        cell-label--<%= attr_name %>" scope="col">
        <%= t(
          "helpers.label.versions.#{attr_name}",
          default: attr_name.to_s.titleize,
        ) %>
        </th>
      <% end %>
    </tr>
  </thead>
  <tbody>
    <% versions.each do |version| %>
    <tr class="table__row"
        tabindex="0">
      <td><span class="version-item__created_at"><%= l(version.created_at) %></span></td>
      <td><span class="version-item__whodunnit">
        <% if whodunnit = version.whodunnit %>
          <%= whodunnit.username %>
          <%#= link_to(whodunnit.username, [namespace, whodunnit]) %>
        <% else %>
          <%= t('versions.whodunnit.unknown') %>
        <% end %>
      </span></td>
      <td><span class="version-item__event"><%= t(version.event, scope: 'versions.event', default: version.event) %></span></td>
      <td><span class="version-item__entry">
        <span class="entry_type"><%= version.entry_type %></span>
        <span class="entry_name">
          <%=
          entry = version.item
          if entry
            link_to(EntryDashboard.for(entry).display_resource(entry), [namespace, entry])
          end %>
        </span>
      </span></td>
    </tr>
    <% end %>
  </tbody>
</table>
